Hi Michael,

“Whoosh” is a new dependency only in Review Board 2.0.x. The fact that it was 
trying to find Whoosh says that there’s some metadata specifying that Review 
Board is depending on Whoosh. Is there any chance that your first upgrade 
attempt resulted in an “easy_install -U ReviewBoard” that installed 2.0.x, 
which you then attempted to uninstall, or cancel half-way through?

The original post says "Trying to get up to 2.x to work on the SSL certificate 
errors.” This sounded like you were attempting a 2.0.x install. Sorry if that 
was a misunderstanding, but that along with Whoosh led me to believe that was 
the original target.

The target version can be whichever you prefer. 1.7.27 is fine. The main 
packages you’ll need to uninstall include:

* ReviewBoard
* Django
* Djblets
* django-pipeline
* django_evolution

There may be more.

Alternatively, stay on yum, but you’ll need to still nuke all the packages that 
you easy_install’d and re-install with yum. Basically, these packages are in a 
bad state, since there’s differences between what easy_install and yum do, so 
you’ll have to fix those up.

Christian

-- 
Christian Hammond - christ...@beanbaginc.com
Review Board - http://www.reviewboard.org
Beanbag, Inc. - http://www.beanbaginc.com

On July 30, 2014 at 1:23:02 PM, Michael Kovacs (dromin...@gmail.com) wrote:

Christian:
       Again, just to be clear the machine is snapshot'd at the running 1.7.25 
yum install, which is working. The steps above all related to getting 1.7.25 
upgraded to 1.7.27; the snapshot in question had never been used to attempt a 
2.0.x install.

I will revert, then uninstall the yum versions and attempt a pure install using 
only the easy_install utility. Is there a list of deps that may need to be 
manually installed? Should the target be 1.7.27 or 2.0.5?

 
--
Get the Review Board Power Pack at http://www.reviewboard.org/powerpack/
---
Sign up for Review Board hosting at RBCommons: https://rbcommons.com/
---
Happy user? Let us know at http://www.reviewboard.org/users/
---
You received this message because you are subscribed to the Google Groups 
"reviewboard" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to reviewboard+unsubscr...@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

-- 
Get the Review Board Power Pack at http://www.reviewboard.org/powerpack/
---
Sign up for Review Board hosting at RBCommons: https://rbcommons.com/
---
Happy user? Let us know at http://www.reviewboard.org/users/
--- 
You received this message because you are subscribed to the Google Groups 
"reviewboard" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to reviewboard+unsubscr...@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Reply via email to